tvecget(1)

NAME
tvecget - convert a multiple bin/ timing runs to tvec form

SYNOPSIS
tvecget [-i infile] [-o outfile] [-c "commentln"] [-s sepstr]
        [-H # h1 ... hN] [-C # c1 ... cN] [-S begln stride]

DESCRIPTION
tvecget takes the concatonated output of a series of timer runs from ATLAS's bin/ directory (all outputs must be from same timer) and produces standard tvecs (timing vectors) from the selected columns of the input. Every tvec produced will have the label provided by the END statement suffixed to its original name, to distinguish it from succeeding runs. NREP is an integer indicating how many times each case was run (so that you can later produce average or max/min times, etc). In the input, each individual timing run is ended by (the first * should occur in the first column):

     *** END LABEL=suff NREP=#

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-C # c1 ... cN
    Grab the indicated columns, with the first column in the ouput numbered as 1 (eg., -N 2 3 5 will convert the third and 5th columns into tvecs).

-H # h1 ... hN
    Same as -C, but you provide the header names of the columns you want (eg., -H 3 M N MFLOP).

-c "commentln"
    Insert comment line at top of tvec file

-s sepstr
    Columns in seperated by this string rather than spaces

-S begln stride
    Skip the first begln - 1 rows, then take the next row, before skipping stride - 1 rows to get to the next line. Settings of 1 1 causes normal behavior, while -S 2 2 would grab only the the even lines.

EXAMPLE
xdmmtst_atl -T 0 -# 4 -N 200 2000 200 > time.out

echo "*** LABEL=_mm NREP=8" >> time.out

xdslatime_al_ab -# 3 -R 1 getrf -N 200 2000 200 >> time.out

echo "*** LABEL=_lu NREP=3" >> time.out

tvecget -i time.out -H 2 MFLOP N

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley